Take the 2-minute tour ×
Ask Different is a question and answer site for power users of Apple hardware and software. It's 100% free, no registration required.

I have a simple network setup, and have read some initial reviews that say the new Airport Utility 6 for Mac OS X lacks some of the advanced settings that the older utility provides. I depend on those settings for my network to operate properly.

Can I still keep the old utility around and use either tool or should I wait to upgrade until I'm sure all the bells and whistles I might need are added to the 6.0 version?

enter image description here

I am going to need to keep the older Airport Software around since some of my devices are too old for the new software, but I'm mostly interested in knowing that I won't be forced to abandon my current advanced settings if I try the new firmware or the new client software.

share|improve this question
    
And yes - I'm using the last version of Airport Utility that works with 10.5 though 10.7 and not the newer versions that are Lion only but not yet 6.0 :-) –  bmike Jan 31 '12 at 19:05

4 Answers 4

up vote 5 down vote accepted
+50

Mavericks has made some changes which means that AirPort Utility 5.x will not work. Specifically, /System/Library/PrivateFrameworks/Apple80211.framework/Versions/A/Apple80211 has been updated and will break the older versions of AirPort Utility.

There are two ways to get around this:

share|improve this answer
    
Ooh - now I should get out a Time Machine backup and do some check sums on that file and list for people which version is the last good version of the file. Well done with this update! –  bmike Dec 24 '13 at 18:21
    
Great answer. Thanks –  David DelMonte Dec 24 '13 at 20:18
    
@bmike I am still running 10.8.5 and AirPort Utility 5.6 works for me. md5 /System/Library/PrivateFrameworks/Apple80211.framework/Versions/A/Apple80211 prints f561c26a7121098e463b9196c401ed9e. –  Ashley Dec 24 '13 at 20:56

On OS older than 10.9 - you can follow these instructions. You'll want to use another answer for Mavericks and later.

Get the upgrade (to 6.0) via Software Update. If it doesn't do what you want then download the (also new) 5.6 update that has the same UI that you're familiar with in 5.5.3 but adds the new functionality (minus the UI) found in 6.0. One caveat: you probably need Lion for both…though I haven't actually checked.

Airport Utility 5.6 for Mac OS X Lion

here's a link to 6.0 as well:

Airport Utility 6.0 for Mac OS X Lion

share|improve this answer
    
I'm not really looking into the mechanics of how to install the app or check prerequisites (both of which would make excellent but different questions). I do appreciate the effort, but let's see if there's a better question for this answer. FYI - 6.0 installs just fine over 5.5.3 –  bmike Jan 31 '12 at 18:39
    
Then I guess I don't understand your question...can you keep multiple copies of Airport Utility around? Yes! Software Update will replace the current version with a new one but, as I said above, you can always download another copy of the one you want/need. Obviously you'll have to change the name of one of them to keep them in the same folder. –  Meltemi Jan 31 '12 at 19:11
    
The question is do they work together to maintain whatever custom settings I have made in the older version. Will 6.0 wipe my advanced setting that it won't let me see or change? Will the older software refuse to work with the newer OS or settings. Many apple upgrades are one way and I don't want that - i want to know that I can go back if needed. –  bmike Jan 31 '12 at 19:20
2  
FYI. 5.6 does not work on Mavericks. It won't even install. –  David DelMonte Dec 24 '13 at 16:11
    
@DavidDelMonte - you can make it work with relative ease, see other answers –  stuffe Dec 24 '13 at 20:25

Yes on 10.8 and older, you can use the older AirPort Utility without any extra work. Do be aware that the 6.0 installer deletes the older copy of your software and Time Machine will not let you restore the old version to the same folder as the new version.

enter image description here

I restored the old version from my Time Machine backup to another folder and the old app has no problem seeing and configuring my updated Time Capsule. enter image description here You can save yourself the steps by compressing or copying your old AirPort Utility before running the 6.0 installer and manage which app you run by hand.

share|improve this answer

This blog post describes the compatibility problem with Mavericks, and includes a solution (in the form of a freely downloadable launcher) that injects a file in the old version of Airport Utility which is required for it to run under Mavericks.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.